## murano-dashboard 5.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0

beautifulsoup4>=4.6.0 # MIT
Django<2.0,>=1.8 # BSD
django-formtools>=1.0 # BSD
iso8601>=0.1.11 # MIT
six>=1.10.0 # MIT
python-muranoclient>=0.8.2 # Apache-2.0
pytz>=2013.6 # MIT
PyYAML>=3.10 # MIT
yaql>=1.1.3 # Apache 2.0 License
castellan>=0.16.0 # Apache-2.0

oslo.log>=3.36.0 # Apache-2.0
semantic-version>=2.3.1 # BSD

# message extraction
Babel!=2.4.0,>=2.3.4 # BSD
django-babel>=0.5.1 # BSD

=== debian/changelog ===
murano-dashboard (1:5.0.0-0ubuntu1.1) bionic; urgency=medium

  * d/python-murano-dashboard.postinst: Ensure /var/lib/openstack-dashboard
    exists before chown.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Mar 2018 20:57:22 -0400

murano-dashboard (1:5.0.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 28 Feb 2018 15:23:19 -0500

=== debian/control ===
Source: murano-dashboard
Section: python
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx (>= 1.6.2),
Build-Depends-Indep:
 openstack-dashboard (>= 3:13.0.0~b3~),
 python-babel (>= 2.3.4),
 python-beautifulsoup,
 python-bs4 (>= 4.6.0),
 python-castellan (>= 0.16.0),
 python-coverage (>= 4.0),
 python-django (>= 1.8),
 python-django-babel (>= 0.5.1),
 python-django-compressor (>= 2.0),
 python-django-formtools (>= 1.0),
 python-django-horizon,
 python-django-nose (>= 1.4.4),
 python-hacking (>= 0.12.0),
 python-heat-dashboard (>= 1.0.0),
 python-iso8601 (>= 0.1.11),
 python-mock (>= 2.0.0),
 python-mox3 (>= 0.20.0),
 python-muranoclient (>= 0.8.2),
 python-nose (>= 1.3.7),
 python-nose-exclude,
 python-nosehtmloutput (>= 0.0.3),
 python-openstack.nose-plugin (>= 0.7),
 python-openstackdocstheme (>= 1.18.1),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.log (>= 3.36.0),
 python-selenium (>= 2.50.1),
 python-semantic-version (>= 2.3.1),
 python-six (>= 1.10.0),
 python-testtools (>= 2.2.0),
 python-tz (>= 2013.6),
 python-yaml (>= 3.10),
 python-yaql (>= 1.1.0),
Standards-Version: 4.1.2
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/murano-dashboard
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/murano-dashboard
Homepage: https://github.com/stackforge/murano-dashboard

Package: python-murano-dashboard
Architecture: all
Depends:
 openstack-dashboard (>= 3:13.0.0~b3~),
 python-babel (>= 2.3.4),
 python-beautifulsoup,
 python-bs4 (>= 4.6.0),
 python-castellan (>= 0.16.0),
 python-django (>= 1.8),
 python-django-babel (>= 0.5.1),
 python-django-compressor (>= 2.0),
 python-django-formtools (>= 1.0),
 python-heat-dashboard (>= 1.0.0),
 python-iso8601 (>= 0.1.11),
 python-muranoclient (>= 0.8.2),
 python-oslo.log (>= 3.36.0),
 python-pbr (>= 2.0.0),
 python-semantic-version (>= 2.3.1),
 python-six (>= 1.10.0),
 python-tz (>= 2013.6),
 python-yaml (>= 3.10),
 python-yaql (>= 1.1.0),
 ${misc:Depends},
 ${python:Depends},
Description: cloud-ready application catalog - dashboard plugin
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package contains the OpenStack dashboard plugin.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0(b|rc)/~$1/" \
 http://tarballs.openstack.org/murano-dashboard/ murano-dashboard-(5\.\d.*)\.tar\.gz

## murano-dashboard 6.0.0~b1

=== requirements.txt ===
--- 
+++ 
@@ -4,19 +4,21 @@
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 
 beautifulsoup4>=4.6.0 # MIT
-Django<2.0,>=1.8 # BSD
+Django<2.0,>=1.11 # BSD
 django-formtools>=1.0 # BSD
 iso8601>=0.1.11 # MIT
 six>=1.10.0 # MIT
 python-muranoclient>=0.8.2 # Apache-2.0
 pytz>=2013.6 # MIT
-PyYAML>=3.10 # MIT
+PyYAML>=3.12 # MIT
 yaql>=1.1.3 # Apache 2.0 License
 castellan>=0.16.0 # Apache-2.0
 
 oslo.log>=3.36.0 # Apache-2.0
 semantic-version>=2.3.1 # BSD
 
+horizon>=13.0.0 # Apache-2.0
+
 # message extraction
 Babel!=2.4.0,>=2.3.4 # BSD
-django-babel>=0.5.1 # BSD
+django-babel>=0.6.2 # BSD

=== debian/changelog ===
murano-dashboard (1:6.0.0~b1-0ubuntu2) cosmic; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - d/control, d/rules: Add Python 2.7 support and python-murano-dashboard
      package.
    - d/rules: Add Python 2.7 support.
    - d/rules: Use pkgos-dh_auto_install instead of python setup.py install.
    - d/rules: Drop copy of static files to /usr/share/openstack-
      dashboard/openstack_dashboard/static. Static files are already collected
      from /usr/lib/python3/dist-packages/designatedashboard/static/.
    - d/rules: Drop dup cp of dashboards. python-django-horizon uses update-
      alternatives to point /usr/share/openstack-dashboard/openstack_dashboard
      at /usr/lib/python*/dist-packages/openstack_dashboard.
    - d/python3-murano-dashboard.install: Dropped. Not needed.
    - d/python3-murano-dashboard.postinst, postrm: Added based on Py2 versions.
    - d/python(3)-murano-dashboard.postinst: Align dir ownership of
      /var/lib/openstack-dashboard with other dashboard packages. And updated
      both scripts to ensure proper python binary is used when collecting and
      compressing static assets.
    - d/watch: Get tarball from tarballs.openstack.org.
    - d/gbp.conf: Retain for gbp and pristine-tar config.
  * d/p/use-mox-dep-explicitly.patch, d/p/APIMockTestCase-[1|2].patch:
    Cherry-picked patches from upstream master to fix mox issues.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 11 Jul 2018 13:45:05 -0400

murano-dashboard (1:6.0.0~b1-0ubuntu1) cosmic; urgency=medium

  * d/watch: Scope to 6.x series.
  * New upstream milestone for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/replace-APITestCase-with-APIMockTestCase.patch: Cherry-pick
    patch from upstream master to fix failing tests.
  * d/control: Update Standards-Version to 4.1.4.
  * d/watch, d/copyright: Use https URLs.
  * d/control: Enable autopkgtest-pkg-python testsuite.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 Jun 2018 15:26:15 -0400

murano-dashboard (1:5.0.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Deprecating priority extra as per policy 4.0.1
  * Running wrap-and-sort -bast

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version is now 4.1.3.
  * Switch to Python 3.
  * Add ThoughtWorks Inc. and AT&T to debian/copyright.

 -- Thomas Goirand <zigo@debian.org>  Wed, 21 Feb 2018 13:42:31 +0100

murano-dashboard (1:4.0.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bumped debhelper compat version to 10

  [ Thomas Goirand ]
  * New upstream release.
  * Ran wrap-and-sort -bast.
  * Updated maintainer name.
  * Standards-Version is now 4.1.1.
  * Updated VCS fields.
  * Copyright format using HTTPS.
  * Fixed (build-)depends for this release.
  * debian/rules: Removed things defined in openstack-pkg-tools.
  * debian/rules: Fixed installing local_settings.d/_50_murano.py file.

 -- Thomas Goirand <zigo@debian.org>  Fri, 03 Nov 2017 17:02:44 +0100

=== debian/control ===
Source: murano-dashboard
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 openstack-dashboard (>= 3:14.0.0~),
 python-babel (>= 2.3.4),
 python-bs4 (>= 4.6.0),
 python-castellan (>= 0.16.0),
 python-coverage (>= 4.0),
 python-django (>= 1.11),
 python-django-babel (>= 0.6.2),
 python-django-compressor (>= 2.0),
 python-django-formtools (>= 1.0),
 python-django-horizon (>= 3:14.0.0~),
 python-django-nose (>= 1.4.4),
 python-hacking (>= 0.12.0),
 python-heat-dashboard (>= 1.2.0),
 python-iso8601 (>= 0.1.11),
 python-mock (>= 2.0.0),
 python-mox3 (>= 0.20.0),
 python-muranoclient (>= 0.8.2),
 python-nose (>= 1.3.7),
 python-nose-exclude,
 python-nosehtmloutput (>= 0.0.3),
 python-openstack.nose-plugin (>= 0.7),
 python-openstackdocstheme (>= 1.18.1),
 python-oslo.config (>= 1:5.2.0),
 python-oslo.log (>= 3.36.0),
 python-selenium (>= 2.50.1),
 python-semantic-version (>= 2.3.1),
 python-six (>= 1.10.0),
 python-testtools (>= 2.2.0),
 python-tz (>= 2013.6),
 python-yaml (>= 3.12),
 python-yaql (>= 1.1.3),
 python3-babel (>= 2.3.4),
 python3-bs4 (>= 4.6.0),
 python3-castellan (>= 0.16.0),
 python3-coverage (>= 4.0),
 python3-django (>= 1.11),
 python3-django-babel (>= 0.6.2),
 python3-django-compressor (>= 2.0),
 python3-django-formtools (>= 1.0),
 python3-django-horizon (>= 3:14.0.0~),
 python3-django-nose (>= 1.4.4),
 python3-hacking (>= 0.12.0),
 python3-heat-dashboard (>= 1.2.0),
 python3-iso8601 (>= 0.1.11),
 python3-mock (>= 2.0.0),
 python3-mox3 (>= 0.20.0),
 python3-muranoclient (>= 0.8.2),
 python3-nose (>= 1.3.7),
 python3-nose-exclude,
 python3-nosehtmloutput (>= 0.0.3),
 python3-openstack.nose-plugin (>= 0.7),
 python3-openstackdocstheme (>= 1.18.1),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.log (>= 3.36.0),
 python3-selenium (>= 2.50.1),
 python3-semantic-version (>= 2.3.1),
 python3-six (>= 1.10.0),
 python3-testtools (>= 2.2.0),
 python3-tz (>= 2013.6),
 python3-yaml (>= 3.12),
 python3-yaql (>= 1.1.3),
Standards-Version: 4.1.4
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/murano-dashboard
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/murano-dashboard
Homepage: https://github.com/stackforge/murano-dashboard
Testsuite: autopkgtest-pkg-python

Package: python-murano-dashboard
Architecture: all
Depends:
 openstack-dashboard (>= 3:14.0.0~),
 python-babel (>= 2.3.4),
 python-bs4 (>= 4.6.0),
 python-castellan (>= 0.16.0),
 python-django (>= 1.11),
 python-django-babel (>= 0.6.2),
 python-django-compressor (>= 2.0),
 python-django-formtools (>= 1.0),
 python-django-horizon (>= 3:14.0.0~),
 python-heat-dashboard (>= 1.2.0),
 python-iso8601 (>= 0.1.11),
 python-muranoclient (>= 0.8.2),
 python-oslo.log (>= 3.36.0),
 python-pbr (>= 2.0.0),
 python-semantic-version (>= 2.3.1),
 python-six (>= 1.10.0),
 python-tz (>= 2013.6),
 python-yaml (>= 3.12),
 python-yaql (>= 1.1.3),
 ${misc:Depends},
 ${python:Depends},
Conflicts:
 python3-murano-dashboard,
Description: cloud-ready application catalog - Python 2 dashboard plugin
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package contains the Python 2 OpenStack dashboard plugin.

Package: python3-murano-dashboard
Architecture: all
Depends:
 openstack-dashboard (>= 3:14.0.0~),
 python3-babel (>= 2.3.4),
 python3-bs4 (>= 4.6.0),
 python3-castellan (>= 0.16.0),
 python3-django (>= 1.11),
 python3-django-babel (>= 0.6.2),
 python3-django-compressor (>= 2.0),
 python3-django-formtools (>= 1.0),
 python3-django-horizon (>= 3:14.0.0~),
 python3-heat-dashboard (>= 1.2.0),
 python3-iso8601 (>= 0.1.11),
 python3-muranoclient (>= 0.8.2),
 python3-oslo.log (>= 3.36.0),
 python3-pbr (>= 2.0.0),
 python3-semantic-version (>= 2.3.1),
 python3-six (>= 1.10.0),
 python3-tz (>= 2013.6),
 python3-yaml (>= 3.12),
 python3-yaql (>= 1.1.3),
 ${misc:Depends},
 ${python3:Depends},
Conflicts:
 python-murano-dashboard,
Description: cloud-ready application catalog - Python 3 dashboard plugin
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package contains the Python 3 OpenStack dashboard plugin.

## murano-dashboard 6.0.0~rc1

=== debian/changelog ===
murano-dashboard (1:6.0.0~rc1-0ubuntu1) cosmic; urgency=medium

  * New upstream release candidate for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/use-mox-dep-explicitly.patch, d/p/APIMockTestCase-[1|2].patch:
    Dropped. Fixed upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Aug 2018 12:06:46 -0400

=== debian/control ===
--- 
+++ 
@@ -20,12 +20,12 @@
  openstack-dashboard (>= 3:14.0.0~),
  python-babel (>= 2.3.4),
  python-bs4 (>= 4.6.0),
- python-castellan (>= 0.16.0),
+ python-castellan (>= 0.18.0),
  python-coverage (>= 4.0),
  python-django (>= 1.11),
  python-django-babel (>= 0.6.2),
  python-django-compressor (>= 2.0),
- python-django-formtools (>= 1.0),
+ python-django-formtools (>= 2.0),
  python-django-horizon (>= 3:14.0.0~),
  python-django-nose (>= 1.4.4),
  python-hacking (>= 0.12.0),
@@ -50,12 +50,12 @@
  python-yaql (>= 1.1.3),
  python3-babel (>= 2.3.4),
  python3-bs4 (>= 4.6.0),
- python3-castellan (>= 0.16.0),
+ python3-castellan (>= 0.18.0),
  python3-coverage (>= 4.0),
  python3-django (>= 1.11),
  python3-django-babel (>= 0.6.2),
  python3-django-compressor (>= 2.0),
- python3-django-formtools (>= 1.0),
+ python3-django-formtools (>= 2.0),
  python3-django-horizon (>= 3:14.0.0~),
  python3-django-nose (>= 1.4.4),
  python3-hacking (>= 0.12.0),
@@ -90,11 +90,11 @@
  openstack-dashboard (>= 3:14.0.0~),
  python-babel (>= 2.3.4),
  python-bs4 (>= 4.6.0),
- python-castellan (>= 0.16.0),
+ python-castellan (>= 0.18.0),
  python-django (>= 1.11),
  python-django-babel (>= 0.6.2),
  python-django-compressor (>= 2.0),
- python-django-formtools (>= 1.0),
+ python-django-formtools (>= 2.0),
  python-django-horizon (>= 3:14.0.0~),
  python-heat-dashboard (>= 1.2.0),
  python-iso8601 (>= 0.1.11),
@@ -126,11 +126,11 @@
  openstack-dashboard (>= 3:14.0.0~),
  python3-babel (>= 2.3.4),
  python3-bs4 (>= 4.6.0),
- python3-castellan (>= 0.16.0),
+ python3-castellan (>= 0.18.0),
  python3-django (>= 1.11),
  python3-django-babel (>= 0.6.2),
  python3-django-compressor (>= 2.0),
- python3-django-formtools (>= 1.0),
+ python3-django-formtools (>= 2.0),
  python3-django-horizon (>= 3:14.0.0~),
  python3-heat-dashboard (>= 1.2.0),
  python3-iso8601 (>= 0.1.11),

## murano-dashboard 6.0.0

=== requirements.txt ===
--- 
+++ 
@@ -4,15 +4,14 @@
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 
 beautifulsoup4>=4.6.0 # MIT
-Django<2.0,>=1.11 # BSD
-django-formtools>=1.0 # BSD
+django-formtools>=2.0 # BSD
 iso8601>=0.1.11 # MIT
 six>=1.10.0 # MIT
 python-muranoclient>=0.8.2 # Apache-2.0
 pytz>=2013.6 # MIT
 PyYAML>=3.12 # MIT
 yaql>=1.1.3 # Apache 2.0 License
-castellan>=0.16.0 # Apache-2.0
+castellan>=0.18.0 # Apache-2.0
 
 oslo.log>=3.36.0 # Apache-2.0
 semantic-version>=2.3.1 # BSD

=== debian/changelog ===
murano-dashboard (1:6.0.0-3) unstable; urgency=medium

  * Add patch to remove broken tests.

 -- Thomas Goirand <zigo@debian.org>  Thu, 21 Feb 2019 19:40:17 +0100

murano-dashboard (1:6.0.0-2) unstable; urgency=medium

  * Redesign murano-dashboard:
      - Enabled files now in /etc/openstack-dashboard/
      - Removed post scripts which is now achieved by a trigger
  * d/copyright: Update copyright
  * d/control: Add me to uploaders field

 -- Michal Arbet <michal.arbet@ultimum.io>  Mon, 21 Jan 2019 21:54:20 +0100

murano-dashboard (1:6.0.0-1) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Sep 2018 16:29:22 +0200

murano-dashboard (1:6.0.0~rc1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 28 Aug 2018 13:36:32 +0200

=== debian/control ===
Source: murano-dashboard
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 openstack-dashboard (>= 3:14.0.0~rc1),
 python3-babel,
 python3-bs4 (>= 4.6.0),
 python3-castellan (>= 0.18.0),
 python3-coverage,
 python3-django (<< 2:2),
 python3-django-babel (>= 0.6.2),
 python3-django-compressor,
 python3-django-formtools (>= 2.0),
 python3-django-horizon,
 python3-django-nose,
 python3-hacking,
 python3-heat-dashboard,
 python3-iso8601,
 python3-mock,
 python3-mox3 (>= 0.20.0),
 python3-muranoclient,
 python3-nose,
 python3-nose-exclude,
 python3-nosehtmloutput,
 python3-openstack.nose-plugin,
 python3-openstackdocstheme (>= 1.18.1),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.log (>= 3.36.0),
 python3-semantic-version,
 python3-six,
 python3-testtools (>= 2.2.0),
 python3-tz,
 python3-yaml,
 python3-yaql (>= 1.1.3),
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/services/murano-dashboard
Vcs-Git: https://salsa.debian.org/openstack-team/services/murano-dashboard.git
Homepage: https://github.com/stackforge/murano-dashboard

Package: python3-murano-dashboard
Architecture: all
Depends:
 openstack-dashboard (>= 3:14.0.0~rc1),
 python3-babel,
 python3-bs4 (>= 4.6.0),
 python3-castellan (>= 0.16.0),
 python3-django (<< 2:2),
 python3-django-babel (>= 0.6.2),
 python3-django-compressor,
 python3-django-formtools (>= 2.0),
 python3-heat-dashboard,
 python3-iso8601,
 python3-muranoclient,
 python3-oslo.log (>= 3.36.0),
 python3-pbr (>= 2.0.0),
 python3-semantic-version,
 python3-six,
 python3-tz,
 python3-yaml,
 python3-yaql (>= 1.1.3),
 ${misc:Depends},
 ${python3:Depends},
Conflicts:
 python-murano-dashboard,
Description: cloud-ready application catalog - dashboard plugin
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package contains the OpenStack dashboard plugin.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_clean:
	dh_clean
	rm -rf .coverage*

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done

	# Move config files to standard location
	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard/enabled
	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard/local_settings.d
	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard/policy

	# Move policy file
	mv -f $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/muranodashboard/conf/murano_policy.json $(CURDIR)/debian/tmp/etc/openstack-dashboard/policy/murano_policy.json

	# Move config enabled
	mv -f $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/muranodashboard/local/enabled/_[0-9]*.py $(CURDIR)/debian/tmp/etc/openstack-dashboard/enabled/

	# Move local_settings
	mv -f $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/muranodashboard/local/local_settings.d/_[0-9]*.py $(CURDIR)/debian/tmp/etc/openstack-dashboard/local_settings.d/

	# Remove config files and dirs from /usr/lib/python3/dist-packages/muranodashboard/
	rm -rf $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/muranodashboard/conf
	rm -rf $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/muranodashboard/local/enabled
	rm -rf $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/muranodashboard/local/local_settings.d

	dh_install
	dh_missing --fail-missing

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	for i in $(PYTHON3S) ; do \
		PYTHON=python$$i NOSE_WITH_OPENSTACK=1 \
			NOSE_OPENSTACK_COLOR=1 \
			NOSE_OPENSTACK_RED=0.05 \
			NOSE_OPENSTACK_YELLOW=0.025 \
			NOSE_OPENSTACK_SHOW_ELAPSED=1 \
			DJANGO_SETTINGS_MODULE=muranodashboard.settings \
			python$$i -m coverage run \
			$(CURDIR)/manage.py test muranodashboard -v 2 --settings=muranodashboard.tests.settings ; \
	done
	## Delete __pycache__
	find . -name __pycache__ -prune -exec rm -rf {} +;
endif

## murano-dashboard 7.0.0~b1~git2018112016.18b276ec

=== requirements.txt ===
--- 
+++ 
@@ -12,11 +12,12 @@
 PyYAML>=3.12 # MIT
 yaql>=1.1.3 # Apache 2.0 License
 castellan>=0.18.0 # Apache-2.0
+django-floppyforms>=1.7.0,<2  # BSD
 
 oslo.log>=3.36.0 # Apache-2.0
 semantic-version>=2.3.1 # BSD
 
-horizon>=13.0.0 # Apache-2.0
+horizon>=14.0.0.0b3 # Apache-2.0
 
 # message extraction
 Babel!=2.4.0,>=2.3.4 # BSD

=== debian/changelog ===
murano-dashboard (1:7.0.0~b1~git2018112016.18b276ec-0ubuntu2) disco; urgency=medium

  * d/py3dist-overrides: Add django-floppyforms to py3dist-overrides as it
    does not appear to be used and was dropped from Ubuntu after Xenial.
    Upstream bug opened: https://bugs.launchpad.net/murano/+bug/1805193.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 26 Nov 2018 12:53:38 -0500

murano-dashboard (1:7.0.0~b1~git2018112016.18b276ec-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control,rules,python*: Drop Python 2 support.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 20 Nov 2018 16:27:53 -0500

murano-dashboard (1:6.0.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.
  * Additional support for Python 3:
    - d/control: Drop python(3)-murano-dashboard conflicts on each other.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Aug 2018 15:34:47 -0400

=== debian/control ===
Source: murano-dashboard
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools (>= 85ubuntu3~),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 openstack-dashboard (>= 3:14.0.0~),
 python3-babel (>= 2.3.4),
 python3-bs4 (>= 4.6.0),
 python3-castellan (>= 0.18.0),
 python3-coverage (>= 4.0),
 python3-django (>= 1.11),
 python3-django-babel (>= 0.6.2),
 python3-django-compressor (>= 2.0),
 python3-django-formtools (>= 2.0),
 python3-django-horizon (>= 3:14.0.0~),
 python3-django-nose (>= 1.4.4),
 python3-hacking (>= 0.12.0),
 python3-heat-dashboard (>= 1.2.0),
 python3-iso8601 (>= 0.1.11),
 python3-mock (>= 2.0.0),
 python3-mox3 (>= 0.20.0),
 python3-muranoclient (>= 0.8.2),
 python3-nose (>= 1.3.7),
 python3-nose-exclude,
 python3-nosehtmloutput (>= 0.0.3),
 python3-openstack.nose-plugin (>= 0.7),
 python3-openstackdocstheme (>= 1.18.1),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.log (>= 3.36.0),
 python3-selenium (>= 2.50.1),
 python3-semantic-version (>= 2.3.1),
 python3-six (>= 1.10.0),
 python3-testtools (>= 2.2.0),
 python3-tz (>= 2013.6),
 python3-yaml (>= 3.12),
 python3-yaql (>= 1.1.3),
Standards-Version: 4.1.4
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/murano-dashboard
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/murano-dashboard
Homepage: https://github.com/stackforge/murano-dashboard
Testsuite: autopkgtest-pkg-python

Package: python3-murano-dashboard
Architecture: all
Depends:
 openstack-dashboard (>= 3:14.0.0~),
 python3-babel (>= 2.3.4),
 python3-bs4 (>= 4.6.0),
 python3-castellan (>= 0.18.0),
 python3-django (>= 1.11),
 python3-django-babel (>= 0.6.2),
 python3-django-compressor (>= 2.0),
 python3-django-horizon (>= 3:14.0.0~),
 python3-heat-dashboard (>= 1.2.0),
 python3-iso8601 (>= 0.1.11),
 python3-muranoclient (>= 0.8.2),
 python3-oslo.log (>= 3.36.0),
 python3-pbr (>= 2.0.0),
 python3-semantic-version (>= 2.3.1),
 python3-six (>= 1.10.0),
 python3-tz (>= 2013.6),
 python3-yaml (>= 3.12),
 python3-yaql (>= 1.1.3),
 ${misc:Depends},
 ${python3:Depends},
Description: cloud-ready application catalog - Python 3 dashboard plugin
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package contains the Python 3 OpenStack dashboard plugin.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0(b|rc)/~$1/" \
 https://tarballs.openstack.org/murano-dashboard/ murano-dashboard-(6\.\d.*)\.tar\.gz

## murano-dashboard 7.0.0~b1~git2019013120.d123d1ac

=== debian/changelog ===
murano-dashboard (1:7.0.0~b1~git2019013120.d123d1ac-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 31 Jan 2019 20:52:10 -0500

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  python3-setuptools,
  python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
- openstack-dashboard (>= 3:14.0.0~),
+ openstack-dashboard (>= 3:14.0.0),
  python3-babel (>= 2.3.4),
  python3-bs4 (>= 4.6.0),
  python3-castellan (>= 0.18.0),
@@ -26,7 +26,7 @@
  python3-django-babel (>= 0.6.2),
  python3-django-compressor (>= 2.0),
  python3-django-formtools (>= 2.0),
- python3-django-horizon (>= 3:14.0.0~),
+ python3-django-horizon (>= 3:14.0.0),
  python3-django-nose (>= 1.4.4),
  python3-hacking (>= 0.12.0),
  python3-heat-dashboard (>= 1.2.0),
@@ -41,6 +41,7 @@
  python3-openstackdocstheme (>= 1.18.1),
  python3-oslo.config (>= 1:5.2.0),
  python3-oslo.log (>= 3.36.0),
+ python3-reno (>= 2.5.0),
  python3-selenium (>= 2.50.1),
  python3-semantic-version (>= 2.3.1),
  python3-six (>= 1.10.0),
@@ -57,14 +58,15 @@
 Package: python3-murano-dashboard
 Architecture: all
 Depends:
- openstack-dashboard (>= 3:14.0.0~),
+ openstack-dashboard (>= 3:14.0.0),
  python3-babel (>= 2.3.4),
  python3-bs4 (>= 4.6.0),
  python3-castellan (>= 0.18.0),
  python3-django (>= 1.11),
  python3-django-babel (>= 0.6.2),
  python3-django-compressor (>= 2.0),
- python3-django-horizon (>= 3:14.0.0~),
+ python3-django-formtools (>= 2.0),
+ python3-django-horizon (>= 3:14.0.0),
  python3-heat-dashboard (>= 1.2.0),
  python3-iso8601 (>= 0.1.11),
  python3-muranoclient (>= 0.8.2),

## murano-dashboard 7.0.0~rc1

=== debian/changelog ===
murano-dashboard (1:7.0.0~rc1-0ubuntu1) disco; urgency=medium

  * d/watch: Scope to 7.x series.
  * New upstream release candidate for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 22 Mar 2019 10:28:18 -0400

## murano-dashboard 7.0.0

=== requirements.txt ===
--- 
+++ 
@@ -17,7 +17,7 @@
 oslo.log>=3.36.0 # Apache-2.0
 semantic-version>=2.3.1 # BSD
 
-horizon>=14.0.0.0b3 # Apache-2.0
+horizon>=15.0.0.0b1 # Apache-2.0
 
 # message extraction
 Babel!=2.4.0,>=2.3.4 # BSD

=== debian/changelog ===
murano-dashboard (1:7.0.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 12 Apr 2019 09:35:08 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  python3-setuptools,
  python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
- openstack-dashboard (>= 3:14.0.0),
+ openstack-dashboard (>= 3:15.0.0~b1),
  python3-babel (>= 2.3.4),
  python3-bs4 (>= 4.6.0),
  python3-castellan (>= 0.18.0),
@@ -26,7 +26,7 @@
  python3-django-babel (>= 0.6.2),
  python3-django-compressor (>= 2.0),
  python3-django-formtools (>= 2.0),
- python3-django-horizon (>= 3:14.0.0),
+ python3-django-horizon (>= 3:15.0.0~b1),
  python3-django-nose (>= 1.4.4),
  python3-hacking (>= 0.12.0),
  python3-heat-dashboard (>= 1.2.0),
@@ -58,7 +58,7 @@
 Package: python3-murano-dashboard
 Architecture: all
 Depends:
- openstack-dashboard (>= 3:14.0.0),
+ openstack-dashboard (>= 3:15.0.0~b1),
  python3-babel (>= 2.3.4),
  python3-bs4 (>= 4.6.0),
  python3-castellan (>= 0.18.0),
@@ -66,7 +66,7 @@
  python3-django-babel (>= 0.6.2),
  python3-django-compressor (>= 2.0),
  python3-django-formtools (>= 2.0),
- python3-django-horizon (>= 3:14.0.0),
+ python3-django-horizon (>= 3:15.0.0~b1),
  python3-heat-dashboard (>= 1.2.0),
  python3-iso8601 (>= 0.1.11),
  python3-muranoclient (>= 0.8.2),

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf .coverage*

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_build:
	echo "Do nothing..."

override_dh_install:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

	# Activates the murano-dashboard plugin in Horizon - Python 3
	mkdir -p $(CURDIR)/debian/python3-murano-dashboard/usr/lib/python3/dist-packages/openstack_dashboard/local/local_settings.d
	cp $(CURDIR)/muranodashboard/local/local_settings.d/_50_murano.py $(CURDIR)/debian/python3-murano-dashboard/usr/lib/python3/dist-packages/openstack_dashboard/local/local_settings.d

	dh_install
	dh_missing --fail-missing

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	for i in $(PYTHON3S) ; do \
		PYTHON=python$$i NOSE_WITH_OPENSTACK=1 \
			NOSE_OPENSTACK_COLOR=1 \
			NOSE_OPENSTACK_RED=0.05 \
			NOSE_OPENSTACK_YELLOW=0.025 \
			NOSE_OPENSTACK_SHOW_ELAPSED=1 \
			DJANGO_SETTINGS_MODULE=muranodashboard.settings \
			python$$i -m coverage run \
			$(CURDIR)/manage.py test muranodashboard -v 2 --settings=muranodashboard.tests.settings ; \
	done
endif

## murano-dashboard 8.0.0~b2~git2019080208.c4272817

=== debian/changelog ===
murano-dashboard (1:8.0.0~b2~git2019080208.c4272817-0ubuntu3) eoan; urgency=medium

  * d/control: Switch back to python3-django >= 1:1.11. See related bug to
    prevent python3-django 2:2.2.4 from migrating to eoan-release:
    https://bugs.launchpad.net/bugs/1842969.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 05 Sep 2019 16:24:36 -0400

murano-dashboard (1:8.0.0~b2~git2019080208.c4272817-0ubuntu2) eoan; urgency=medium

  * d/control: Ensure python3-django is << 2:2.2.4.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 26 Aug 2019 12:42:30 -0400

murano-dashboard (1:8.0.0~b2~git2019080208.c4272817-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Fri, 02 Aug 2019 08:46:46 +0200

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0(b|rc)/~$1/" \
 https://tarballs.openstack.org/murano-dashboard/ murano-dashboard-(7\.\d.*)\.tar\.gz

## murano-dashboard 8.0.0~rc1

=== requirements.txt ===
--- 
+++ 
@@ -12,7 +12,6 @@
 PyYAML>=3.12 # MIT
 yaql>=1.1.3 # Apache 2.0 License
 castellan>=0.18.0 # Apache-2.0
-django-floppyforms>=1.7.0,<2  # BSD
 
 oslo.log>=3.36.0 # Apache-2.0
 semantic-version>=2.3.1 # BSD

=== debian/changelog ===
murano-dashboard (1:8.0.0~rc1-0ubuntu1) eoan; urgency=medium

  [ Sahid Orentino Ferdjaoui ]
  * New upstream snapshot for OpenStack Train.

  [ Corey Bryant ]
  * d/watch: Scope to 8.x series.
  * New upstream release candidate for OpenStack Train.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 27 Sep 2019 10:35:22 -0400

=== debian/control ===
--- 
+++ 
@@ -17,16 +17,16 @@
  python3-setuptools,
  python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
- openstack-dashboard (>= 3:15.0.0~b1),
+ openstack-dashboard (>= 3:15.0.0~),
  python3-babel (>= 2.3.4),
  python3-bs4 (>= 4.6.0),
  python3-castellan (>= 0.18.0),
  python3-coverage (>= 4.0),
- python3-django (>= 1.11),
+ python3-django (>= 1:1.11),
  python3-django-babel (>= 0.6.2),
  python3-django-compressor (>= 2.0),
  python3-django-formtools (>= 2.0),
- python3-django-horizon (>= 3:15.0.0~b1),
+ python3-django-horizon (>= 3:15.0.0~),
  python3-django-nose (>= 1.4.4),
  python3-hacking (>= 0.12.0),
  python3-heat-dashboard (>= 1.2.0),
@@ -38,7 +38,7 @@
  python3-nose-exclude,
  python3-nosehtmloutput (>= 0.0.3),
  python3-openstack.nose-plugin (>= 0.7),
- python3-openstackdocstheme (>= 1.18.1),
+ python3-openstackdocstheme (>= 1.20.0),
  python3-oslo.config (>= 1:5.2.0),
  python3-oslo.log (>= 3.36.0),
  python3-reno (>= 2.5.0),
@@ -58,15 +58,15 @@
 Package: python3-murano-dashboard
 Architecture: all
 Depends:
- openstack-dashboard (>= 3:15.0.0~b1),
+ openstack-dashboard (>= 3:15.0.0~),
  python3-babel (>= 2.3.4),
  python3-bs4 (>= 4.6.0),
  python3-castellan (>= 0.18.0),
- python3-django (>= 1.11),
+ python3-django (>= 1:1.11),
  python3-django-babel (>= 0.6.2),
  python3-django-compressor (>= 2.0),
  python3-django-formtools (>= 2.0),
- python3-django-horizon (>= 3:15.0.0~b1),
+ python3-django-horizon (>= 3:15.0.0~),
  python3-heat-dashboard (>= 1.2.0),
  python3-iso8601 (>= 0.1.11),
  python3-muranoclient (>= 0.8.2),

## murano-dashboard 8.0.0

=== debian/changelog ===
murano-dashboard (1:8.0.0-1) unstable; urgency=medium

  * New upstream version.

 -- Michal Arbet <michal.arbet@ultimum.io>  Tue, 22 Oct 2019 13:43:54 +0200

murano-dashboard (1:7.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Michal Arbet ]
  * Do not move files from source, copy it,
    kolla deployment expects that files are in /usr/lib...

 -- Michal Arbet <michal.arbet@ultimum.io>  Thu, 22 Aug 2019 12:15:24 +0200

murano-dashboard (1:7.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Apr 2019 12:19:15 +0200

murano-dashboard (1:7.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed package versions when satisfied in Buster.
  * Fixed (build-)depends for this release.
  * Rebased remove-broken-tests.patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Apr 2019 17:06:09 +0200

=== debian/control ===
Source: murano-dashboard
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 openstack-dashboard (>= 3:15.0.0~rc1),
 python3-babel,
 python3-bs4,
 python3-castellan,
 python3-coverage,
 python3-django,
 python3-django-babel,
 python3-django-compressor,
 python3-django-formtools,
 python3-django-horizon,
 python3-hacking,
 python3-heat-dashboard,
 python3-iso8601,
 python3-mock,
 python3-muranoclient,
 python3-openstackdocstheme,
 python3-oslo.config,
 python3-oslo.log,
 python3-semantic-version,
 python3-six,
 python3-testtools,
 python3-tz,
 python3-yaml,
 python3-yaql,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/services/murano-dashboard
Vcs-Git: https://salsa.debian.org/openstack-team/services/murano-dashboard.git
Homepage: https://github.com/stackforge/murano-dashboard

Package: python3-murano-dashboard
Architecture: all
Depends:
 openstack-dashboard (>= 3:15.0.0~rc1),
 python3-babel,
 python3-bs4,
 python3-castellan,
 python3-django,
 python3-django-babel,
 python3-django-compressor,
 python3-django-formtools,
 python3-heat-dashboard,
 python3-iso8601,
 python3-muranoclient,
 python3-oslo.log,
 python3-pbr,
 python3-semantic-version,
 python3-six,
 python3-tz,
 python3-yaml,
 python3-yaql,
 ${misc:Depends},
 ${python3:Depends},
Conflicts:
 python-murano-dashboard,
Description: cloud-ready application catalog - dashboard plugin
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package contains the OpenStack dashboard plugin.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_clean:
	dh_clean
	rm -rf .coverage*

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done

	# Move config files to standard location
	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard/enabled
	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard/local_settings.d
	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard/policy

	# Copy policy file to openstack-dashboard policy location
	cp $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/muranodashboard/conf/murano_policy.json $(CURDIR)/debian/tmp/etc/openstack-dashboard/policy/murano_policy.json

	# Copy config enabled to openstack-dashboard enabled location
	cp $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/muranodashboard/local/enabled/_[0-9]*.py $(CURDIR)/debian/tmp/etc/openstack-dashboard/enabled/

	# Copy local_settings.d to openstack-dashboard local_settings.d location
	cp $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/muranodashboard/local/local_settings.d/_[0-9]*.py $(CURDIR)/debian/tmp/etc/openstack-dashboard/local_settings.d/

	dh_install
	dh_missing --fail-missing

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	for i in $(PYTHON3S) ; do \
		PYTHON=python$$i NOSE_WITH_OPENSTACK=1 \
			NOSE_OPENSTACK_COLOR=1 \
			NOSE_OPENSTACK_RED=0.05 \
			NOSE_OPENSTACK_YELLOW=0.025 \
			NOSE_OPENSTACK_SHOW_ELAPSED=1 \
			DJANGO_SETTINGS_MODULE=muranodashboard.settings \
			python$$i -m coverage run \
			$(CURDIR)/manage.py test muranodashboard -v 2 --settings=muranodashboard.tests.settings ; \
	done
	## Delete __pycache__
	find . -name __pycache__ -prune -exec rm -rf {} +;
endif

## murano-dashboard 9.0.0~b1~git2019121815.5f11df81

=== debian/changelog ===
murano-dashboard (1:9.0.0~b1~git2019121815.5f11df81-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules, d/compat: Switch to debhelper compat 12 and pybuild.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 18 Dec 2019 15:40:13 -0500

murano-dashboard (1:8.0.0-0ubuntu1) eoan; urgency=medium

  * New stable point release for OpenStack Train.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Wed, 16 Oct 2019 17:54:57 +0100

=== debian/control ===
Source: murano-dashboard
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools (>= 85ubuntu3~),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 openstack-dashboard (>= 3:17.0.0~),
 python3-babel (>= 2.3.4),
 python3-bs4 (>= 4.6.0),
 python3-castellan (>= 0.18.0),
 python3-coverage (>= 4.0),
 python3-django (>= 1:1.11),
 python3-django-babel (>= 0.6.2),
 python3-django-compressor (>= 2.0),
 python3-django-formtools (>= 2.0),
 python3-django-horizon (>= 3:17.0.0~),
 python3-django-nose (>= 1.4.4),
 python3-hacking (>= 0.12.0),
 python3-heat-dashboard (>= 1.2.0),
 python3-iso8601 (>= 0.1.11),
 python3-mock (>= 2.0.0),
 python3-mox3 (>= 0.20.0),
 python3-muranoclient (>= 0.8.2),
 python3-nose (>= 1.3.7),
 python3-nose-exclude,
 python3-nosehtmloutput (>= 0.0.3),
 python3-openstack.nose-plugin (>= 0.7),
 python3-openstackdocstheme (>= 1.20.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.log (>= 3.36.0),
 python3-reno (>= 2.5.0),
 python3-selenium (>= 2.50.1),
 python3-semantic-version (>= 2.3.1),
 python3-six (>= 1.10.0),
 python3-testtools (>= 2.2.0),
 python3-tz (>= 2013.6),
 python3-yaml (>= 3.12),
 python3-yaql (>= 1.1.3),
Standards-Version: 4.1.4
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/murano-dashboard
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/murano-dashboard
Homepage: https://github.com/stackforge/murano-dashboard
Testsuite: autopkgtest-pkg-python

Package: python3-murano-dashboard
Architecture: all
Depends:
 openstack-dashboard (>= 3:17.0.0~),
 python3-babel (>= 2.3.4),
 python3-bs4 (>= 4.6.0),
 python3-castellan (>= 0.18.0),
 python3-django (>= 1:1.11),
 python3-django-babel (>= 0.6.2),
 python3-django-compressor (>= 2.0),
 python3-django-formtools (>= 2.0),
 python3-django-horizon (>= 3:17.0.0~),
 python3-heat-dashboard (>= 1.2.0),
 python3-iso8601 (>= 0.1.11),
 python3-muranoclient (>= 0.8.2),
 python3-oslo.log (>= 3.36.0),
 python3-pbr (>= 2.0.0),
 python3-semantic-version (>= 2.3.1),
 python3-six (>= 1.10.0),
 python3-tz (>= 2013.6),
 python3-yaml (>= 3.12),
 python3-yaql (>= 1.1.3),
 ${misc:Depends},
 ${python3:Depends},
Description: cloud-ready application catalog - Python 3 dashboard plugin
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package contains the Python 3 OpenStack dashboard plugin.

## murano-dashboard 9.0.0~b2~git2020021314.90de7126

=== debian/changelog ===
murano-dashboard (1:9.0.0~b2~git2020021314.90de7126-0ubuntu1) focal; urgency=medium

  [ Sahid Orentino Ferdjaoui ]
  * d/control: Align (Build-)Depends with upstream.
  * New upstream snapshot for OpenStack Ussuri.

  [ Corey Bryant ]
  * d/control: Align horizon and python3-django (Build-)Depends with Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 14 Feb 2020 12:03:26 -0500

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0(b|rc)/~$1/" \
 https://tarballs.openstack.org/murano-dashboard/ murano-dashboard-(8\.\d.*)\.tar\.gz

## murano-dashboard 9.0.0~b3~git2020032617.90de7126

=== debian/changelog ===
murano-dashboard (1:9.0.0~b3~git2020032617.90de7126-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/python3-murano-dashboard.postinst: Align chown command with horizon package.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 26 Mar 2020 17:09:26 -0400

=== debian/control ===
--- 
+++ 
@@ -14,16 +14,16 @@
  python3-setuptools,
  python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
- openstack-dashboard (>= 3:17.0.0~),
+ openstack-dashboard (>= 3:18.0.0),
  python3-babel (>= 2.3.4),
  python3-bs4 (>= 4.6.0),
  python3-castellan (>= 0.18.0),
  python3-coverage (>= 4.0),
- python3-django (>= 1:1.11),
+ python3-django (>= 2:2.2),
  python3-django-babel (>= 0.6.2),
  python3-django-compressor (>= 2.0),
- python3-django-formtools (>= 2.0),
- python3-django-horizon (>= 3:17.0.0~),
+ python3-django-formtools (>= 2.2),
+ python3-django-horizon (>= 3:18.0.0),
  python3-django-nose (>= 1.4.4),
  python3-hacking (>= 0.12.0),
  python3-heat-dashboard (>= 1.2.0),
@@ -55,15 +55,15 @@
 Package: python3-murano-dashboard
 Architecture: all
 Depends:
- openstack-dashboard (>= 3:17.0.0~),
+ openstack-dashboard (>= 3:18.0.0),
  python3-babel (>= 2.3.4),
  python3-bs4 (>= 4.6.0),
  python3-castellan (>= 0.18.0),
- python3-django (>= 1:1.11),
+ python3-django (>= 2:2.2),
  python3-django-babel (>= 0.6.2),
  python3-django-compressor (>= 2.0),
- python3-django-formtools (>= 2.0),
- python3-django-horizon (>= 3:17.0.0~),
+ python3-django-formtools (>= 2.2),
+ python3-django-horizon (>= 3:18.0.0),
  python3-heat-dashboard (>= 1.2.0),
  python3-iso8601 (>= 0.1.11),
  python3-muranoclient (>= 0.8.2),

## murano-dashboard 9.0.0~b3~git2020041315.b9ed51cb

=== requirements.txt ===
--- 
+++ 
@@ -4,9 +4,8 @@
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 
 beautifulsoup4>=4.6.0 # MIT
-django-formtools>=2.0 # BSD
+django-formtools>=2.2 # BSD
 iso8601>=0.1.11 # MIT
-six>=1.10.0 # MIT
 python-muranoclient>=0.8.2 # Apache-2.0
 pytz>=2013.6 # MIT
 PyYAML>=3.12 # MIT
@@ -16,8 +15,4 @@
 oslo.log>=3.36.0 # Apache-2.0
 semantic-version>=2.3.1 # BSD
 
-horizon>=15.0.0.0b1 # Apache-2.0
-
-# message extraction
-Babel!=2.4.0,>=2.3.4 # BSD
-django-babel>=0.6.2 # BSD
+horizon>=17.1.0 # Apache-2.0

=== debian/changelog ===
murano-dashboard (1:9.0.0~b3~git2020041315.b9ed51cb-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 13 Apr 2020 15:38:30 -0400
